package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.GP_PricingEspecificoCanalVendasDAO;
import com.rjconsultores.ventaboletos.entidad.GP_PricingEspecificoCanalVendas;
import com.rjconsultores.ventaboletos.service.GP_PricingEspecificoCanalVendasService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("gp_pricingEspecificoCanalVendasService")
public class GP_PricingEspecificoCanalVendasServiceImpl implements GP_PricingEspecificoCanalVendasService {
    @Autowired
    private GP_PricingEspecificoCanalVendasDAO pricingEspecificoCanalVendasDAO;
    
	@Override
	public List<GP_PricingEspecificoCanalVendas> obtenerTodos() {
		return pricingEspecificoCanalVendasDAO.obtenerTodos();
	}

	@Override
	public GP_PricingEspecificoCanalVendas obtenerID(Long id) {
		return pricingEspecificoCanalVendasDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public GP_PricingEspecificoCanalVendas suscribir(GP_PricingEspecificoCanalVendas entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setActivo(Boolean.TRUE);

        return pricingEspecificoCanalVendasDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public GP_PricingEspecificoCanalVendas actualizacion(GP_PricingEspecificoCanalVendas entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());

		return pricingEspecificoCanalVendasDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(GP_PricingEspecificoCanalVendas entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        pricingEspecificoCanalVendasDAO.actualizacion(entidad);
	}
	@Override
	public Boolean existeCanalVendasPricing (GP_PricingEspecificoCanalVendas entidad){
		return pricingEspecificoCanalVendasDAO.isDuplicado(entidad);
	}

}
